using System.Windows;

namespace FSI.BT.Tools.Commands
{
    /// <summary>
    /// Shows the main window.
    /// </summary>
    public class ProcessCommand : CommandBase<ProcessCommand>
    {
        public override void Execute(object parameter)
        {
            Gui.FrmProcesses frm = new();
            frm.ShowDialog();
        }

        public override bool CanExecute(object parameter)
        {
            return Global.AdminRights;
        }
    }
}